Bug 59596 - RFE: Add sshd (openssh-server) to base packages
RFE: Add sshd (openssh-server) to base packages
Product: Red Hat Linux
Classification: Retired
Component: comps (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-02-10 20:14 EST by R P Herrold
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-12 16:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-02-10 20:14:13 EST
Did a minimum workstation install -- no Gnome, no KDE, no -- it carries:
   rmt [-- but no mt-st -- How shall one make W/S cronned backups?]

and a lot of cruft
   apmd (!)
   LOTS of audio stuff
   LOTS of DOS stuff:  dos2unix, unix2dos, dosfstool, mtools, samba-client,
   LOTS of graphics stuff even with NO advanced window manager -- gimp,
   iptables and lokkit, even though a Workstation install
   LOTS of cd creationstuff -=- mkieofs, cdrecord, cdlabelgen ...
   Mozilla AND Netscape
   gnome-audio, rhn_register-gnome -- even though no Gnome
   rusers, rwho
   sane stuff
   gphoto stuff
   yp-tools -- (still ?)
      ... you get my drift -- lots of fat stuff, lots of niche stuff   


Tried to sudo printconf-gui, but I am unable to get a console in X -- the
fallback is to: ssh root@localhost ; printconf-gui -- which would work, for it
would keep the permissions right -- but no sshd is present to start so I might 

Openssh-server is less that 300K -- trivial -- it is a basic security tool, just
as is sudo -- ship it turned off but installed in _every_ base install.

Please consider adding openssh-server to the base install, to encourage NOT
unnecesarily logging in as root for admin purposes.

-- Russ Herrold
Comment 1 R P Herrold 2002-03-12 16:44:57 EST
Please ... May this get resolved before 7.3 feature freazes ?

On Tue, 12 Mar 2002, Bernhard Rosenkraenzer wrote:

> I don't think this will be ready for 7.3 though, only a couple of days
> left for adding features.
Comment 2 Tim Powers 2002-03-12 18:05:35 EST
I have added mt-st to the Network Support component. I won't add openssh-server
to that component since it is turned on by default in the package. If
openssh-server is needed, you can select it as an individual package during the

I'm closing this as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.